Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.layout
Class TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter

    java.lang.Object
      org.jasig.portal.utils.SAX2FilterImpl
          org.jasig.portal.layout.TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter

All Implemented Interfaces:
  org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.ext.LexicalHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader

Enclosing class:
  TransientUserLayoutManagerWrapper

     class TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter

extends SAX2FilterImpl

This filter incorporates transient channels into a layout. This provides the ability for channel definitions to reside in a layout w/out the owner having to actually have them persisted.

Field Summary
`private static java.lang.String` | `CHANNEL`
`private static java.lang.String` | `FOLDER`
`private static java.lang.String` | `LAYOUT`
`private static java.lang.String` | `LAYOUT_FRAGMENT`
`private static java.lang.String` | `PARAMETER`

Fields inherited from class org.jasig.portal.utils.SAX2FilterImpl
`contentHandler, dtdHandler, entityResolver, errorHandler, lexicalHandler, locator, log`

Constructor Summary
`TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter(org.xml.sax.ContentHandler handler)`
`TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter(org.xml.sax.XMLReader parent)`

Method Summary
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)` Filter a start element event.

Methods inherited from class org.jasig.portal.utils.SAX2FilterImpl
`characters, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setAllHandlers, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setLexicalHandler, setParent, setProperty, skippedEntity, startCDATA, startDocument, startDTD, startEntity, startPrefixMapping, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LAYOUT

    private static final java.lang.String LAYOUT

See Also:
  Constant Field Values

### LAYOUT_FRAGMENT

    private static final java.lang.String LAYOUT_FRAGMENT

See Also:
  Constant Field Values

### FOLDER

    private static final java.lang.String FOLDER

See Also:
  Constant Field Values

### CHANNEL

    private static final java.lang.String CHANNEL

See Also:
  Constant Field Values

### PARAMETER

    private static final java.lang.String PARAMETER

See Also:
  Constant Field Values

Constructor Detail

### TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter

    public TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter(org.xml.sax.ContentHandler handler)

### TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter

    public TransientUserLayoutManagerWrapper.TransientUserLayoutManagerSAXFilter(org.xml.sax.XMLReader parent)

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Description copied from class: `SAX2FilterImpl`
  Filter a start element event.

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `SAX2FilterImpl`
  Parameters:
    `uri` - The element's Namespace URI, or the empty string.
    `localName` - The element's local name, or the empty string.
    `qName` - The element's qualified (prefixed) name, or the empty string.
    `atts` - The element's attributes.
  Throws:
    `org.xml.sax.SAXException` - The client may throw an exception during processing.
  See Also:
    `ContentHandler.startElement(java.lang.String, java.lang.String, java.lang.String, org.xml.sax.Attributes)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD